Ext.define('Dev.ux.Menuitemicon', {
    extend: 'Ext.menu.Item',
    alias: 'widget.menuitemicon',

    //configuration
    config: {
      //  uppercaseValue: true,
       iconCls:"accept_icon"
    },

    constructor: function (config) {
        this.initConfig(config);
        this.callParent([config]);
    },

    initComponent: function () {
        var me = this;
        Ext.apply(me, {
            iconCls:"accept_icon"
        });

        me.callParent();
    },

    //overriden function
    getValue: function () {
        var val = this.callParent();
        return val;
        //this.getUppercaseValue() ? val.toUpperCase() : val;
    }
});